const express = require('express');
const router = express.Router();
const activityController = require('../controllers/activityController');

router.post('/add', activityController.addActivity);
router.get('/list/:userId', activityController.getActivitiesByUser);
router.post('/comment', activityController.postComment);
router.get('/comments/:activityId', activityController.getCommentsByActivity);
router.post('/like', activityController.postLike);
router.get('/like/:userId/:activityId', activityController.checkLike);
router.delete('/like/remove', activityController.removeLike);

module.exports = router;
